"""add created/updated timestamps to capability executions

Revision ID: a3b9fdce74bd
Revises: c3e0d50b5189
Create Date: 2021-03-23 10:13:22.463607

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = "a3b9fdce74bd"
down_revision = "c3e0d50b5189"
branch_labels = None
depends_on = None


def upgrade():
    op.add_column(
        "capability_executions",
        sa.Column(
            "created_at",
            sa.DateTime(timezone=True),
            server_default=sa.func.now(),
            nullable=False,
        ),
    )
    op.add_column(
        "capability_executions",
        sa.Column(
            "updated_at",
            sa.DateTime(timezone=True),
            server_default=sa.func.now(),
            nullable=False,
        ),
    )

    op.execute(
        """
    create trigger capability_execution_updated 
    before update on capability_executions
    for each row execute procedure update_updated_at_timestamp();"""
    )


def downgrade():
    op.drop_column("capability_executions", "created_at")
    op.drop_column("capability_executions", "updated_at")
    op.execute("drop trigger capability_execution_updated on workflow_requests")
